%define upstream_name    WWW-Pastebin-Bot-Pastebot-Create
%define upstream_version 0.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    create pastes on sites powered by Bot::Pastebot
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Data::Accessor)
BuildRequires: perl(Devel::TakeHashArgs)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(Module::Build::Compat)

BuildArch: noarch


%description
The module provides interface to paste into pastebin sites powered by the
Bot::Pastebot manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.2.0-8.mga9
+ Revision: 1830087
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-7.mga8
+ Revision: 1498263
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-6.mga7
+ Revision: 1272682
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-5.mga6
+ Revision: 1035797
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-4.mga6
+ Revision: 946550
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 750202
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 686855
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 585872
- update to 0.002

* Thu Dec 19 2013 sander85 <sander85> 0.1.0-7.mga4
+ Revision: 558962
- Fix build
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-5.mga3
+ Revision: 374769
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.1.0-4.mga1
+ Revision: 34427
- mageia rebuild
- imported package perl-WWW-Pastebin-Bot-Pastebot-Create


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.1.0-4mdv2010.1
+ Revision: 505280
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.001-3mdv2010.0
+ Revision: 430658
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.001-2mdv2009.0
+ Revision: 268877
- rebuild early 2009.0 package (before pixel changes)

* Sat Apr 12 2008 Olivier Thauvin <nanardon@mandriva.org> 0.001-1mdv2009.0
+ Revision: 192625
- import perl-WWW-Pastebin-Bot-Pastebot-Create


